com.google.gwt.aria.client

## Class GridcellRoleImpl

- java.lang.Object
- - com.google.gwt.aria.client.RoleImpl
  - - com.google.gwt.aria.client.GridcellRoleImpl

All Implemented Interfaces:
  GridcellRole, Role, SectionRole, StructureRole, WidgetRole

    class GridcellRoleImpl
    extends RoleImpl
    implements GridcellRole

Implements `GridcellRole`.

### Constructor Summary

Constructors
Constructor and Description
`GridcellRoleImpl(java.lang.String roleName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAriaExpandedState(Element element)` Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.
`java.lang.String` `getAriaReadonlyProperty(Element element)` Returns the value of the aria-readonly attribute for the `element` or "" if no such attribute is present.
`java.lang.String` `getAriaRequiredProperty(Element element)` Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.
`java.lang.String` `getAriaSelectedState(Element element)` Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.
`void` `removeAriaExpandedState(Element element)` Removes the aria-expanded attribute from the `element`.
`void` `removeAriaReadonlyProperty(Element element)` Removes the aria-readonly attribute from the `element`.
`void` `removeAriaRequiredProperty(Element element)` Removes the aria-required attribute from the `element`.
`void` `removeAriaSelectedState(Element element)` Removes the aria-selected attribute from the `element`.
`void` `setAriaExpandedState(Element element, ExpandedValue value)` Sets the aria-expanded attribute for the `element` to the given `value`.
`void` `setAriaReadonlyProperty(Element element, boolean value)` Sets the aria-readonly attribute for the `element` to the given `value`.
`void` `setAriaRequiredProperty(Element element, boolean value)` Sets the aria-required attribute for the `element` to the given `value`.
`void` `setAriaSelectedState(Element element, SelectedValue value)` Sets the aria-selected attribute for the `element` to the given `value`.

### Methods inherited from class com.google.gwt.aria.client.RoleImpl

`getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gwt.aria.client.Role

`getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

### Constructor Detail

#### GridcellRoleImpl

    GridcellRoleImpl(java.lang.String roleName)

### Method Detail

#### getAriaExpandedState

    public java.lang.String getAriaExpandedState(Element element)

Description copied from interface: `SectionRole`
Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.

Specified by:
  `getAriaExpandedState` in interface `SectionRole`

#### getAriaReadonlyProperty

    public java.lang.String getAriaReadonlyProperty(Element element)

Description copied from interface: `GridcellRole`
Returns the value of the aria-readonly attribute for the `element` or "" if no such attribute is present.

Specified by:
  `getAriaReadonlyProperty` in interface `GridcellRole`

#### getAriaRequiredProperty

    public java.lang.String getAriaRequiredProperty(Element element)

Description copied from interface: `GridcellRole`
Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.

Specified by:
  `getAriaRequiredProperty` in interface `GridcellRole`

#### getAriaSelectedState

    public java.lang.String getAriaSelectedState(Element element)

Description copied from interface: `GridcellRole`
Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.

Specified by:
  `getAriaSelectedState` in interface `GridcellRole`

#### removeAriaExpandedState

    public void removeAriaExpandedState(Element element)

Description copied from interface: `SectionRole`
Removes the aria-expanded attribute from the `element`.

Specified by:
  `removeAriaExpandedState` in interface `SectionRole`

#### removeAriaReadonlyProperty

    public void removeAriaReadonlyProperty(Element element)

Description copied from interface: `GridcellRole`
Removes the aria-readonly attribute from the `element`.

Specified by:
  `removeAriaReadonlyProperty` in interface `GridcellRole`

#### removeAriaRequiredProperty

    public void removeAriaRequiredProperty(Element element)

Description copied from interface: `GridcellRole`
Removes the aria-required attribute from the `element`.

Specified by:
  `removeAriaRequiredProperty` in interface `GridcellRole`

#### removeAriaSelectedState

    public void removeAriaSelectedState(Element element)

Description copied from interface: `GridcellRole`
Removes the aria-selected attribute from the `element`.

Specified by:
  `removeAriaSelectedState` in interface `GridcellRole`

#### setAriaExpandedState

    public void setAriaExpandedState(Element element,
                                     ExpandedValue value)

Description copied from interface: `SectionRole`
Sets the aria-expanded attribute for the `element` to the given `value`.

Specified by:
  `setAriaExpandedState` in interface `SectionRole`

#### setAriaReadonlyProperty

    public void setAriaReadonlyProperty(Element element,
                                        boolean value)

Description copied from interface: `GridcellRole`
Sets the aria-readonly attribute for the `element` to the given `value`.

Specified by:
  `setAriaReadonlyProperty` in interface `GridcellRole`

#### setAriaRequiredProperty

    public void setAriaRequiredProperty(Element element,
                                        boolean value)

Description copied from interface: `GridcellRole`
Sets the aria-required attribute for the `element` to the given `value`.

Specified by:
  `setAriaRequiredProperty` in interface `GridcellRole`

#### setAriaSelectedState

    public void setAriaSelectedState(Element element,
                                     SelectedValue value)

Description copied from interface: `GridcellRole`
Sets the aria-selected attribute for the `element` to the given `value`.

Specified by:
  `setAriaSelectedState` in interface `GridcellRole`